diff --git a/web/pgadmin/setup/db_table_check.py b/web/pgadmin/setup/db_table_check.py
index 4da86c27..4f0294ae 100644
--- a/web/pgadmin/setup/db_table_check.py
+++ b/web/pgadmin/setup/db_table_check.py
@@ -22,9 +22,15 @@ def check_db_tables():
     db_table_names = get_db_table_names()
     # check table is actually present in the db.
     for table_name in db_table_names:
-        if not db.engine.dialect.has_table(db.engine, table_name):
-            invalid_tb_names.append(table_name)
-            is_error = True
+        try:
+            if not db.inspect(db.engine).has_table(table_name=table_name):
+                invalid_tb_names.append(table_name)
+                is_error = True
+        except AttributeError as e:
+            if not db.engine.dialect.has_table(db.engine, table_name):
+                invalid_tb_names.append(table_name)
+                is_error = True
+
 
     if is_error:
         return True, invalid_tb_names
